var getCookie = function(cookie_name){
	var allcookies = document.cookie;
	var cookie_pos = allcookies.indexOf(cookie_name);
	
	// 如果找到了索引，就代表cookie存在，
	// 反之，就说明不存在。
	if (cookie_pos != -1){
		// 把cookie_pos放在值的开始，只要给值加1即可。
		cookie_pos += cookie_name.length + 1;
		var cookie_end = allcookies.indexOf(";", cookie_pos);
		
		if (cookie_end == -1)		{
			cookie_end = allcookies.length;
		}
		var value = unescape(allcookies.substring(cookie_pos, cookie_end));
	}
	return value;
} 


$(document).ready(function(){
	var allcookie = document.cookie;
	var uname = getCookie("__P_userName");
	var order_number = getCookie("__order_number");
	var order_state = getCookie("__order_state");
	var sessionID = getCookie("sessionID");
	
	if(uname!="" && uname!=undefined){
		$(".top_login").html("<li id=\"loginmsg\" class=\"user\">欢迎您"+uname+"!</li><li><a href=\"http://www.99pto.com/dingdan/userOrder.php\">用户管理中心</a></li><li><a href=\"http://www.99pto.com/passport/login.php?action=logout\">退出</a></li>");
		$.getJSON("http://www.99pto.com/ajax/pendingOrderCnt.html?jsoncallback=?", function(data){
			$("#f_pending_cnt").parents("a").attr("href","http://www.99pto.com/dingdan/userOrder.php");
			$("#f_pending_cnt").html("有"+data.count+"个订单需要处理");});
		    $("#login_order").html("<a href=\"http://www.99pto.com/dingdan/userOrder.php\">我的久久</a>");
			$(".f_login_box").html("<a href=\"http://www.99pto.com/dingdan/userOrder.php\">我的订单</a><a href=\"http://www.99pto.com/dingdan/question.php?a=a\">订单咨询</a>");
		$.getJSON("http://www.99pto.com/ajax/login.html?sessionID="+sessionID+"&jsoncallback=?",function(data) {
			if(data.existed == 1){	
				/*
				$(".top_login").html("<li lass=\"user\">欢迎您"+uname+"!</li><li><a href=\"http://www.99pto.com/dingdan/userOrder.php\">用户管理中心</a></li><li><a href=\"http://www.99pto.com/passport/login.php?action=logout\">退出</a></li>");
				$.getJSON("http://www.99pto.com/ajax/pendingOrderCnt.html?jsoncallback=?", function(data){
					$("#f_pending_cnt").html("有"+data.count+"个订单需要处理");
				});
				*/
			}else{
				$("#f_pending_cnt").html("有0个订单需要处理");
			}	
		});
	}

});

